summaryrefslogtreecommitdiffstats
path: root/source/l/qt5-webkit
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xsource/l/qt5-webkit/qt5-webkit.SlackBuild3
-rw-r--r--source/l/qt5-webkit/qt5-webkit.gcc13.diff10
2 files changed, 13 insertions, 0 deletions
diff --git a/source/l/qt5-webkit/qt5-webkit.SlackBuild b/source/l/qt5-webkit/qt5-webkit.SlackBuild
index d34235828..9b9487ea9 100755
--- a/source/l/qt5-webkit/qt5-webkit.SlackBuild
+++ b/source/l/qt5-webkit/qt5-webkit.SlackBuild
@@ -106,6 +106,9 @@ zcat $CWD/qt5-webkit.glib-2.68.0.diff.gz | patch -p1 --verbose || exit 1
# Fix for Ruby 3.2.x:
zcat $CWD/webkit-offlineasm-warnings-ruby27.patch | patch -p1 --verbose || exit 1
+# Fix for gcc13:
+zcat $CWD/qt5-webkit.gcc13.diff.gz | patch -p1 --verbose || exit 1
+
# -DU_DEFINE_FALSE_AND_TRUE=1 since recent icu4c no longer defines these otherwise.
export CFLAGS="$SLKCFLAGS -DU_DEFINE_FALSE_AND_TRUE=1"
diff --git a/source/l/qt5-webkit/qt5-webkit.gcc13.diff b/source/l/qt5-webkit/qt5-webkit.gcc13.diff
new file mode 100644
index 000000000..318ad0a79
--- /dev/null
+++ b/source/l/qt5-webkit/qt5-webkit.gcc13.diff
@@ -0,0 +1,10 @@
+--- ./Source/ThirdParty/ANGLE/src/common/mathutil.h.orig 2020-03-04 11:16:37.000000000 -0600
++++ ./Source/ThirdParty/ANGLE/src/common/mathutil.h 2023-05-03 22:19:19.201630211 -0500
+@@ -16,6 +16,7 @@
+ #include <algorithm>
+ #include <string.h>
+ #include <stdlib.h>
++#include <cstdint>
+
+ namespace gl
+ {